Imports Telerik.WinControls.Data

Public Class RadForm1

    Private Sub radTxtSearch_KeyDown(sender As Object, e As KeyEventArgs) Handles RadTextBox1.KeyDown
        If e.KeyCode = Keys.Enter Then
            Me.RadListView1.EnableFiltering = True
            Dim typeFilter As New FilterDescriptor("ProductName", FilterOperator.Contains, RadTextBox1.Text)
            Me.RadListView1.FilterDescriptors.Clear()
            Me.RadListView1.FilterDescriptors.Add(typeFilter)
            Me.RadListView1.ListViewElement.DataView.Refresh()
        End If
    End Sub

    Private Sub RadForm1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        'TODO: This line of code loads data into the 'NwindDataSet.Products' table. You can move, or remove it, as needed.
        Me.ProductsTableAdapter.Fill(Me.NwindDataSet.Products)
        Me.RadListView1.DataSource = Me.ProductsBindingSource
        Me.RadListView1.ViewType = Telerik.WinControls.UI.ListViewType.DetailsView
    End Sub
End Class
